Bug 1017398 - [RFE] yum repos can be created without repo_url and also the ulpoad feature is missing
[RFE] yum repos can be created without repo_url and also the ulpoad feature i...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
sthirugn@redhat.com
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 15:29 EDT by Kedar Bidarkar
Modified: 2014-09-11 08:27 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-11 08:27:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kedar Bidarkar 2013-10-09 15:29:51 EDT
Description of problem:

creating a "yum" repo , should display the upload feature similar to that of "puppet" repos. which is missing.

Version-Release number of selected component (if applicable):

Satellite-6.0.2-RHEL-6-20131007.0

How reproducible:
while Creating a repo

Steps to Reproduce:
1. create repo, do not provide feed_url
2. After creating repo, find that it has no upload feature for "yum" repos
3.

Actual results:

Upload feature is missing, the one which is visible when we select the puppet repo.

Expected results:

Upload feature is required, the one which is visible when we select the puppet repo.

Additional info:

The cli seems to support upload feature for both "yum" and "puppet", which is missing for "yum" repos in UI.
Comment 2 Brad Buckingham 2014-07-16 14:50:15 EDT
Confirmed that with the Satellite 6 Beta, I was able to define a feedless repo and upload RPMs to it using the UI.  Moving this BZ to ON_QA for verification.
Comment 3 sthirugn@redhat.com 2014-07-25 15:59:33 EDT
Verified. Now I am able to create yum repo without providing repo url and I am able to upload content as well.

Version Tested:
* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.19-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.19-1.el6_5.noarch
* candlepin-tomcat6-0.9.19-1.el6_5.noarch
* elasticsearch-0.90.10-4.el6sat.noarch
* foreman-1.6.0.29-1.el6sat.noarch
* foreman-compute-1.6.0.29-1.el6sat.noarch
* foreman-gce-1.6.0.29-1.el6sat.noarch
* foreman-libvirt-1.6.0.29-1.el6sat.noarch
* foreman-ovirt-1.6.0.29-1.el6sat.noarch
* foreman-postgresql-1.6.0.29-1.el6sat.noarch
* foreman-proxy-1.6.0.21-1.el6sat.noarch
* foreman-selinux-1.6.0-8.el6sat.noarch
* foreman-vmware-1.6.0.29-1.el6sat.noarch
* katello-1.5.0-27.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.6-1.el6sat.noarch
* katello-installer-0.0.56-1.el6sat.noarch
* openldap-2.4.23-32.el6_4.1.x86_64
* pulp-katello-0.3-3.el6sat.noarch
* pulp-nodes-common-2.4.0-0.23.beta.el6sat.noarch
* pulp-nodes-parent-2.4.0-0.23.beta.el6sat.noarch
* pulp-puppet-plugins-2.4.0-0.23.beta.el6sat.noarch
* pulp-puppet-tools-2.4.0-0.23.beta.el6sat.noarch
* pulp-rpm-plugins-2.4.0-0.23.beta.el6sat.noarch
* pulp-selinux-2.4.0-0.23.beta.el6sat.noarch
* pulp-server-2.4.0-0.23.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
Comment 5 Bryan Kearney 2014-09-11 08:27:54 EDT
This was delivered with Satellite 6.0 which was released on 10 September 2014.

Note You need to log in before you can comment on or make changes to this bug.